
--[[ EN ]]

-- To create a new module, change every occurence of 'Template' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'Template' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "KQMediaTemplate";										-- !!!
local moduleid = "tpl"														-- keep this short
local moduleData = nil
local frame = CreateFrame("Frame", "KQMediaTemplateFakeFrame") 				-- !!!

function KQMediaTemplate_OnEvent(this, event, ...) 							-- !!!
	local arg1 = select(1, ...)
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        KQMediaTemplate_Init()												-- !!!
        if (IsAddOnLoaded("KQuote")) then
	        KQ_InitModule(moduleData)
        end
        if (IsAddOnLoaded("WoWQuote2")) then
	        WQ2_InitModule(moduleData)
        end
        frame:UnregisterEvent("ADDON_LOADED")
    end
end

frame:SetScript("OnEvent", KQMediaTemplate_OnEvent)							-- !!!
frame:RegisterEvent("ADDON_LOADED")

function KQMediaTemplate_Init()												-- !!!
    moduleData = {
		name = "Template",													-- !!!
    	moduleid = moduleid,
    	mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
		mediadata = nil,
		-- tags = {["tagid"] = "Description"}  			-- add your own tags here, if any
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the Default module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "mine:001"

	-- bei anderen als dem Template-Module, muß dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "mine:001"

    id = "tpl:01",
    file = "firstfile.mp3",
    len = 3,											-- length in seconds
    msg = "Description for first file",
    -- tags = {"hi", "positive"},
    --  You may add one or more tags.
    --  See KQuote's 'Localization.lua' for a list of inbuildt tags.
    
    -- emote = "/wink",
    --  To use one of the inbuildt emotes, you have to use the emote token
    --   as can be seen on http://www.wowwiki.com/API_TYPE_Emotes_Token
    --   and prefix it with a slash ("/"). The token string will automatically
    --   be converted to upper case.
    --  If the slash is omitted, the text will be handled like the /me command.
    
    -- targeted = "winks at %t",
    --  This emote will be used if the player has a target selected.
    --  '%t' will be replaced by the target's name.
    --  (Ignored if 'emote' references an inbuildt emote.)
},
{
    id = "tpl:02",
    file = "secondfile.mp3",
    len = 4,
    msg = "Description for second file",
},
-- end of media data
}
end -- KQMedia..._Init

